MyEclipse Forums
This thread has been locked & this forum has been archived.
Please post new topics to Java EE Development (EJB, JSP, Struts, XDoclet, etc.)
View previous topic Printable version Log in to check your private messages View next topic
Author Message
Support-Brian
Post subject: MyEclipse 8.5/8.6 compatibility with servers running Java 5  PostPosted: Sep 03, 2010 - 07:37 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Applicability

This fix is only required for users who wish to deploy MyEclipse Reports applications *created* in MyEclipse 8.5 or 8.6 (based on BIRT 2.5.2) to servers running Java 1.5. In other words, if your MyEclipse Reports project was created in a prior version of MyEclipse (not based on BIRT 2.5.2) OR you are running your server with Java 1.6, this fix is not required.

If you are affected by this problem, you will see the following trace in the console during server startup:
java.lang.UnsupportedClassVersionError: Bad version number in .class file

Fix Steps

1) Stop your server and undeploy all affected reports applications completely. You can do this by selecting your application in the Servers view and clicking "Remove deployment" from the context menu. This step is essential to avoid caching and file locking issues.
2) Unzip the attached file into a convenient and stable location on your file system.
3) Go to Window > Preferences > MyEclipse > Project Capabilities > Reports
4) On the "MyEclipse 8.5 / BIRT 2.5.2" tab, select coreapi.jar and viewservlets.jar and click Remove.
5) Click "Add JAR/Zip" and select the coreapi.jar and viewservlets.jar files from the unzipped location.
6) Click OK to save these changes and exit the Preference dialog.
7) Redeploy your application.

Note: You must be logged in to download this fix.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits